org.apache.ignite.internal.visor.cache

## Class VisorCacheConfigurationCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>>
    - - org.apache.ignite.internal.visor.cache.VisorCacheConfigurationCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheConfigurationCollectorTaskArg>,Map<String,VisorCacheConfiguration>>

    @GridInternal
    public class VisorCacheConfigurationCollectorTask
    extends VisorOneNodeTask<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>>

Task that collect cache metrics from all nodes.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheConfigurationCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorCacheConfigurationCollectorJob` `job(VisorCacheConfigurationCollectorTaskArg arg)`
`protected @Nullable Map<String,VisorCacheConfiguration>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheConfigurationCollectorTask

    public VisorCacheConfigurationCollectorTask()

### Method Detail

#### job

    protected VisorCacheConfigurationCollectorJob job(VisorCacheConfigurationCollectorTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>,Map<String,VisorCacheConfiguration>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Map<String,VisorCacheConfiguration> reduce0(List<ComputeJobResult> results)
                                                                       throws IgniteException

Actual reduce logic.

Overrides:
  `reduce0` in class `VisorOneNodeTask<VisorCacheConfigurationCollectorTaskArg,Map<String,VisorCacheConfiguration>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020